
Bugs - Bug #6

RUN stmt parameter list ending delimiter can be duplicated

09/15/2011 12:00 PM - Greg Shah

Status: Closed Start date: 09/15/2011

Priority: Normal Due date: 11/30/2011

Assignee: Greg Shah % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 09/15/2011 06:42 PM - Greg Shah

@45101 - recreate:

Consider this code:

run some-internal-proc ("some parm here")) no-error.

Notice the non-matching parenthesis. Progress does allow this to compile.  In fact, there can be an unlimited 

number of extra trailing parenthesis and the code will still compile in Progress.  P2J doesn't accept this at 

this time.

It isn't clear if that code just drops (ignores) the parenthesis OR if that is just treated as runtime preproc

essor argument data.  A test would be needed to check this.

#2 - 10/03/2011 07:18 PM - Redmine Admin

@45107 - Status set to WIP

#3 - 10/03/2011 07:22 PM - Redmine Admin

@45108 - Status set to WIP

#4 - 10/03/2011 07:25 PM - Redmine Admin

@45109 - Status set to WIP

#5 - 10/11/2011 08:23 PM - Greg Shah

@45121 - solution (for now):

The parser code was modified to ignore (silently drop) any non-matched trailing RPARENS in a RUN statement.  T
he same code is used for other statements, but this change only affects the RUN.

If the extra parens must be passed as arguments, then the parser will need to be changed again. The proper beh

avior has not been tested at this time.

#6 - 10/11/2011 08:24 PM - Redmine Admin

@45122 - Status changed from WIP to Closed

#7 - 04/12/2012 11:22 AM - Greg Shah

Imported from JPRM on 2012-04-12 11:22:59.151:

TASKID      = 6095

PROJECTID   = 124

STATUS      = 9 (Closed)

DESCRIPTION = RUN stmt parameter list ending delimiter can be duplicated

OWNER       = GES

ASSIGNEE    = GES

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-09-15

ESTSTOP     = 2011-11-30

ACTSTOP     = 2011-11-30

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-11
